%{?drupal7_find_provides_and_requires}

%global module      tmgmt
%global pre_release rc1

Name:          drupal7-%{module}
Version:       1.0
Release:       0.7.%{pre_release}%{?dist}
Summary:       Translation Management Tool

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}-%{pre_release}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

Requires:      drupal7-i18n
Requires:      drupal7-rules
Requires:      drupal7-views
Requires:      drupal7-views_bulk_operations
Requires:      drupal7(entity)
Requires:      drupal7(entity_translation)
#Requires:      drupal7(i18n)
#Requires:      drupal7(i18n_string)
Requires:      drupal7(locale)
#Requires:      drupal7(rules)
Requires:      drupal7(translation)
Requires:      drupal7(variable)
#Requires:      drupal7(views)
#Requires:      drupal7(views_bulk_operations)
# phpcompatinfo (computed from version 1.0-rc1)
Requires:      php-date
Requires:      php-dom
Requires:      php-pcre
Requires:      php-simplexml
Requires:      php-spl
Requires:      php-xmlreader
Requires:      php-xmlwriter

%description
The Translation Management Tool (TMGMT) module provides a tool set for
translating content from different sources. The translation can be done
by people or translation services of all kinds. It builds on and uses
existing language tools and data structures in Drupal and can be used
in automated workflow scenarios.

This module does not make i18n or any other language module for Drupal
obsolete. It does only facilitate the translation process.

The second alpha has been released, huge improvements have been made
(see the release notes for details) and there's even more work to do.
Please test the new version and report any bugs that you can find.

Important: The external translator plugins (Microsoft, MyGengo, Nativy,
Supertext) have been moved to separate projects. When any of these plugins,
make sure to download them as well and then run update.php when updating.

This package provides the following Drupal modules:
* %{module}
* %{module}_entity
* %{module}_entity_ui
* %{module}_field
* %{module}_file
* %{module}_i18n_string
* %{module}_language_combination
* %{module}_local
* %{module}_locale
* %{module}_node
* %{module}_node_ui
* %{module}_ui


%prep
%setup -qn %{module}
cp -p %{SOURCE1} .

# Remove executable bits
chmod a-x LICENSE.txt ui/css/tmgmt_ui.admin.css


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.0-0.6.rc1
- Updated to 1.0-rc1 (BZ #1072782; release notes https://drupal.org/node/2210721)

* Fri Aug 16 2013 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.5.beta2
- Update to upstream 1.0-beta2 release for bug fixes
- Upstream changelog for this release is avalble at https://drupal.org/node/2066361

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.3.beta1
- Update to upstream 1.0-beta1 release for bug fixes
- Upstream changelog for this release is avalble at https://drupal.org/node/2045887

* Sun Jun 16 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.0-0.2.alpha3
- Updated for drupal7-rpmbuild 7.22-5

* Fri May 03 2013 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.0-0.1.alpha3
- Initial package
